//
//  RMDocument.h
//  RaiseMan
//
//  Created by narita on 2013/04/05.
//  Copyright (c) 2013年 narita. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@class Person;

@interface RMDocument : NSDocument
{
    NSMutableArray* employees;
    
    IBOutlet __weak NSTableView*       tableView;
    IBOutlet __weak NSArrayController* employeeController;
}

- (IBAction) createEmployee:(id)sender;

- (void) setEmployees:(NSMutableArray*) a;

- (void) insertObject:(Person*)inPerson inEmployeesAtIndex:(NSUInteger)inIndex;
- (void) removeObjectFromEmployeesAtIndex:(NSUInteger)inIndex;

@end
